futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Optimise.ArrayLayout

Synopsis

- optimiseArrayLayoutGPU :: Pass GPU GPU
- optimiseArrayLayoutMC :: Pass MC MC

# Documentation

optimiseArrayLayoutGPU :: Pass GPU GPU Source #

The optimisation performed on the GPU representation.

optimiseArrayLayoutMC :: Pass MC MC Source #

The optimisation performed on the MC representation.